# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::ObjMesh Class Reference

Represents a Wavefront OBJ mesh. See also ObjLoader. More...

`#include <ioOBJ.hpp>`

Inheritance diagram for vl::ObjMesh:

List of all members.

## Public Member Functions

void | setMaterial (ObjMaterial *mat)
| The material associated to this mesh.
const ObjMaterial * | material () const
| The material associated to this mesh.
const std::vector< int > & | facePositionIndex () const
| Index into ObjLoader::vertexArray() vector.
const std::vector< int > & | faceNormalIndex () const
| Index into ObjLoader::normalArray() vector.
const std::vector< int > & | faceTexCoordIndex () const
| Index into ObjLoader::texCoordsArray() vector.
const std::vector< int > & | face_type () const
| Each entry represents a face, the number represents how many vertices the face has.
ObjMaterial * | material ()
| The material associated to this mesh.
std::vector< int > & | facePositionIndex ()
| Index into ObjLoader::vertexArray() vector.
std::vector< int > & | faceNormalIndex ()
| Index into ObjLoader::normalArray() vector.
std::vector< int > & | faceTexCoordIndex ()
| Index into ObjLoader::texCoordsArray() vector.
std::vector< int > & | face_type ()
| Each entry represents a face, the number represents how many vertices the face has.

## Protected Attributes

ref< ObjMaterial > | mMaterial
std::vector< int > | mFace_icoords
std::vector< int > | mFace_inormals
std::vector< int > | mFace_itexcoords
std::vector< int > | mFace_type

## Detailed Description

Represents a Wavefront OBJ mesh. See also ObjLoader.

Definition at line 298 of file ioOBJ.hpp.

## Member Function Documentation

void vl::ObjMesh::setMaterial | ( | ObjMaterial * | mat ) | `[inline]`

The material associated to this mesh.

Definition at line 304 of file ioOBJ.hpp.

References mMaterial.

const ObjMaterial* vl::ObjMesh::material | ( | ) | const`[inline]`

The material associated to this mesh.

Definition at line 307 of file ioOBJ.hpp.

References vl::ref< T >::get(), and mMaterial.

const std::vector<int>& vl::ObjMesh::facePositionIndex | ( | ) | const`[inline]`

Index into ObjLoader::vertexArray() vector.

Definition at line 309 of file ioOBJ.hpp.

References mFace_icoords.

const std::vector<int>& vl::ObjMesh::faceNormalIndex | ( | ) | const`[inline]`

Index into ObjLoader::normalArray() vector.

Definition at line 311 of file ioOBJ.hpp.

References mFace_inormals.

const std::vector<int>& vl::ObjMesh::faceTexCoordIndex | ( | ) | const`[inline]`

Index into ObjLoader::texCoordsArray() vector.

Definition at line 313 of file ioOBJ.hpp.

References mFace_itexcoords.

const std::vector<int>& vl::ObjMesh::face_type | ( | ) | const`[inline]`

Each entry represents a face, the number represents how many vertices the face has.

The for each vertex of each face there is an index in facePositionIndex(), faceNormalIndex(), faceTexCoordIndex()

Definition at line 316 of file ioOBJ.hpp.

References mFace_type.

ObjMaterial* vl::ObjMesh::material | ( | ) | `[inline]`

The material associated to this mesh.

Definition at line 319 of file ioOBJ.hpp.

References vl::ref< T >::get(), and mMaterial.

std::vector<int>& vl::ObjMesh::facePositionIndex | ( | ) | `[inline]`

Index into ObjLoader::vertexArray() vector.

Definition at line 321 of file ioOBJ.hpp.

References mFace_icoords.

std::vector<int>& vl::ObjMesh::faceNormalIndex | ( | ) | `[inline]`

Index into ObjLoader::normalArray() vector.

Definition at line 323 of file ioOBJ.hpp.

References mFace_inormals.

std::vector<int>& vl::ObjMesh::faceTexCoordIndex | ( | ) | `[inline]`

Index into ObjLoader::texCoordsArray() vector.

Definition at line 325 of file ioOBJ.hpp.

References mFace_itexcoords.

std::vector<int>& vl::ObjMesh::face_type | ( | ) | `[inline]`

Each entry represents a face, the number represents how many vertices the face has.

The for each vertex of each face there is an index in facePositionIndex(), faceNormalIndex(), faceTexCoordIndex()

Definition at line 328 of file ioOBJ.hpp.

References mFace_type.

## Member Data Documentation

ref<ObjMaterial> vl::ObjMesh::mMaterial`[protected]`

Definition at line 331 of file ioOBJ.hpp.

Referenced by material(), and setMaterial().

std::vector<int> vl::ObjMesh::mFace_icoords`[protected]`

Definition at line 332 of file ioOBJ.hpp.

Referenced by facePositionIndex().

std::vector<int> vl::ObjMesh::mFace_inormals`[protected]`

Definition at line 333 of file ioOBJ.hpp.

Referenced by faceNormalIndex().

std::vector<int> vl::ObjMesh::mFace_itexcoords`[protected]`

Definition at line 334 of file ioOBJ.hpp.

Referenced by faceTexCoordIndex().

std::vector<int> vl::ObjMesh::mFace_type`[protected]`

Definition at line 335 of file ioOBJ.hpp.

Referenced by face_type().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/ioOBJ.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:43.
Permission is granted to use this page to write and publish articles regarding Visualization Library.